<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: adm_options.php
| Author: ChSchuetz
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";

include INFUSIONS."wir_sind_tippspiel/infusion_db.php";

if (!iADMIN || $userdata['user_rights'] == "") redirect("../../index.php");
if (!checkrights("WST")) { redirect("../index.php"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."wir_sind_tippspiel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."wir_sind_tippspiel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."wir_sind_tippspiel/locale/German.php";
}

echo "<table width='100%'><tr><td valign='top' align='center'>";

if (isset($_GET['lid']) && isNum($_GET['lid'])) {
		$tox_l_name = isset($_GET['l_name']) ? stripinput($_GET['l_name']) : "";
		$tox_lid = (isset($_GET['lid']) && isNum($_GET['lid'])) ? $_GET['lid'] : 0;
} else {
		$tox_l_name = "";
		$tox_lid = 0;
}

if (isset($tox_l_name) && $tox_l_name != "") {
	include "league_admin_menu.php";
} else {
		include "admin_menu.php";
}

if(isset($_POST['save_time']) && $_POST['save_time'] == TRUE) { 
  $wert_min = (isset($_POST['con_min']) && isNum($_POST['con_min'])) ? $_POST['con_min'] : 0;
  $wert_jah = (isset($_POST['con_jah']) && isNum($_POST['con_jah'])) ? $_POST['con_jah'] : 0;
  $wert_start = (isset($_POST['con_start']) && isNum($_POST['con_start'])) ? $_POST['con_start'] : 0;
  $wert_ende = (isset($_POST['con_ende']) && isNum($_POST['con_ende'])) ? $_POST['con_ende'] : 0;
  if ( ($wert_min < 0) || ($wert_min > 59) ) {$wert_min = 0;}
  if ( ($wert_jah < 0) || ($wert_jah > 20) ) {$wert_jah = 0;}
  if ( ($wert_start < 0) || ($wert_start > 23) || ($wert_start > $wert_ende) ) {$wert_start = 0;}
  if ( ($wert_ende < 0) || ($wert_ende > 23) || ($wert_ende < $wert_start)) {$wert_ende = 0;}
  if ($wert_min) {$sql = dbquery("UPDATE ".$db_prefix."wst_global_config SET config_min='$wert_min'");}
  if ($wert_jah) {$sql = dbquery("UPDATE ".$db_prefix."wst_global_config SET config_jahre='$wert_jah'");}
  if ($wert_start) {$sql = dbquery("UPDATE ".$db_prefix."wst_global_config SET config_start='$wert_start'");}
  if ($wert_ende) {$sql = dbquery("UPDATE ".$db_prefix."wst_global_config SET config_ende='$wert_ende'");}

}

if(isset($_POST['save_LgAz']) && $_POST['save_LgAz'] == TRUE) { 
  $tox_wert = isset($_POST['sortingby']) ? stripinput($_POST['sortingby']) : "";
  $sql = dbquery("UPDATE ".$db_prefix."wst_global_config SET config_LgAz='$tox_wert'");
}

if (isset($_POST['save_config']) && $_POST['save_config'] == TRUE) {
  $wert_min = (isset($_POST['con_min']) && isNum($_POST['con_min'])) ? $_POST['con_min'] : 0;
  $wert_jah = (isset($_POST['con_jah']) && isNum($_POST['con_jah'])) ? $_POST['con_jah'] : 0;
  $wert_start = (isset($_POST['con_start']) && isNum($_POST['con_start'])) ? $_POST['con_start'] : 0;
  $wert_ende = (isset($_POST['con_ende']) && isNum($_POST['con_ende'])) ? $_POST['con_ende'] : 0;
  if ( ($wert_min < 0) || ($wert_min > 59) ) {$wert_min = 0;}
  if ( ($wert_jah < 0) || ($wert_jah > 20) ) {$wert_jah = 0;}
  if ( ($wert_start < 0) || ($wert_start > 23) || ($wert_start > $wert_ende) ) {$wert_start = 0;}
  if ( ($wert_ende < 0) || ($wert_ende > 23) || ($wert_ende < $wert_start)) {$wert_ende = 0;}
  if ($wert_min) {$sql = dbquery("UPDATE ".$db_prefix."wst_global_config SET config_min='$wert_min'");}
  if ($wert_jah) {$sql = dbquery("UPDATE ".$db_prefix."wst_global_config SET config_jahre='$wert_jah'");}
  if ($wert_start) {$sql = dbquery("UPDATE ".$db_prefix."wst_global_config SET config_start='$wert_start'");}
  if ($wert_ende) {$sql = dbquery("UPDATE ".$db_prefix."wst_global_config SET config_ende='$wert_ende'");}

  $tox_wert = isset($_POST['sortingby']) ? stripinput($_POST['sortingby']) : "";
  $anz_panelT = isset($_POST['PanelT']) ? stripinput($_POST['PanelT']) : "";
	//  $sql = dbquery("UPDATE ".$db_prefix."wst_global_config SET config_LgAz='$tox_wert'");

  $wert_Az = (isset($_POST['AzAzSp']) && isNum($_POST['AzAzSp'])) ? $_POST['AzAzSp'] : 0;
  $sort_pan = (isset($_POST['sortpanel']) && isNum($_POST['sortpanel'])) ? $_POST['sortpanel'] : 0; 
  $link_tit = (isset($_POST['Titel_linken']) && isNum($_POST['Titel_linken'])) ? $_POST['Titel_linken'] : 0; 
  $anz_tip = (isset($_POST['Anzahl_Tipper']) && isNum($_POST['Anzahl_Tipper'])) ? $_POST['Anzahl_Tipper'] : 0; 
  $anz_tip_ov = (isset($_POST['Anzahl_Tipper_Ov']) && isNum($_POST['Anzahl_Tipper_Ov'])) ? $_POST['Anzahl_Tipper_Ov'] : 1; 
  if ($anz_tip_ov < 1) $anz_tip_ov = 1;
  
  $intstat = (isset($_POST['int_stat']) && isNum($_POST['int_stat'])) ? $_POST['int_stat'] : 0;
  $enrem = (isset($_POST['enrem']) && isNum($_POST['enrem'])) ? $_POST['enrem'] : 0;
  
  $sql = dbquery("UPDATE ".$db_prefix."wst_global_config SET config_LgAz='$tox_wert', config_MpSr='$sort_pan', config_AzAzSp='$wert_Az', config_Tv='$link_tit', config_AzTi='$anz_tip', config_AzTiOv='$anz_tip_ov', config_IntStat='$intstat', config_panelT='$anz_panelT', config_enrem='$enrem'");
}


opentable($locale['wst387']);
	$result_global_config = dbquery("select * from ".$db_prefix."wst_global_config");
	$data_global_config = dbarray($result_global_config);
  $form_action = FUSION_SELF."?lid=$tox_lid&l_name=$tox_l_name";
   echo "<form action='$form_action' method='POST'>
          <table width='95%' cellspacing='1' cellpadding='3' class='tbl-border'>
            <tr>
              <td colspan='2'>".$locale['wst308']."</td>
            </tr>
            <tr>
              <td class='tbl2' width='150'>".$locale['wst308']." <BR>".$locale['wst310']." </td>
              <td class='tbl1'>".$locale['wst311']."<input type='text' name='con_jah' value='".$data_global_config['config_jahre']."' size='3' maxlength='2' class='textbox'> ".$locale['wst312']."</td>
            </tr>
            <tr>
              <td class='tbl2' width='150'>".$locale['wst313']." </td>
              <td class='tbl1'>".$locale['wst314']." <input type='text' name='con_min' value='".$data_global_config['config_min']."' size='3' maxlength='2' class='textbox'> ".$locale['wst315']."</td>
            </tr>
            <tr>
              <td class='tbl2' rowspan='2' width='150'>".$locale['wst316']." </td>
              <td class='tbl1'>".$locale['wst317']." <input type='text' name='con_start' value='".$data_global_config['config_start']."' size='3' maxlength='2' class='textbox'> ".$locale['wst318']."</td>
            </tr>
            <tr>
              <td class='tbl1'>".$locale['wst319']." <input type='text' name='con_ende' value='".$data_global_config['config_ende']."' size='3' maxlength='2' class='textbox'> ".$locale['wst320']."</td>
            </tr>
            <tr>
              <td colspan='2'>".$locale['wst326']."</td>
            </tr>
            <tr>
              <td class='tbl2' width='150'>".$locale['wst327']."</td>
              <td class='tbl1'><input type='radio' name='sortingby' value='league_id'".($data_global_config['config_LgAz'] == "league_id" ? " checked" : "").">".$locale['wst305']."
							<input type='radio' name='sortingby' value='league_name'".($data_global_config['config_LgAz'] == "league_name" ? " checked" : "").">".$locale['wst104']."</td>
            </tr>
            <tr>
              <td class='tbl2' colspan='2'></td>
            </tr>
            <tr>
              <td colspan='2'>".$locale['wst329']."</td>
            </tr>
            <tr>
              <td class='tbl2' width='150'>".$locale['wst330']."</td>
              <td class='tbl1'><input type='radio' name='sortpanel' value='1'".($data_global_config['config_MpSr'] == "1" ? " checked" : "").">".$locale['wst331']."<BR>
							<input type='radio' name='sortpanel' value='2'".($data_global_config['config_MpSr'] == "2" ? " checked" : "").">".$locale['wst332']."<BR>
							<input type='radio' name='sortpanel' value='3'".($data_global_config['config_MpSr'] == "3" ? " checked" : "").">".$locale['wst333']."</td>
            </tr>
                        
            <tr>
              <td class='tbl2' width='150'>".$locale['wst436']."</td>
              <td class='tbl1'><input type='radio' name='PanelT' value='logo'".($data_global_config['config_PanelT'] == "logo" ? " checked" : "").">".$locale['wst426']."
							<input type='radio' name='PanelT' value='name'".($data_global_config['config_PanelT'] == "name" ? " checked" : "").">".$locale['wst129']."</td>
            </tr>
            
            <tr>
              <td class='tbl2' width='150'>".$locale['wst334']." </td>
              <td class='tbl1'><input type='text' name='AzAzSp' value='".$data_global_config['config_AzAzSp']."' size='1' maxlength='1' class='textbox'>".$locale['wst335']."</td>
            </tr>
            <tr>
              <td class='tbl2' width='150'>".$locale['wst336']."</td>
              <td class='tbl1'><input type='radio' name='Titel_linken' value='1'".($data_global_config['config_Tv'] == "1" ? " checked" : "").">".$locale['wst292']."<BR>
							<input type='radio' name='Titel_linken' value='0'".($data_global_config['config_Tv'] == "0" ? " checked" : "").">".$locale['wst293']."</td>
            </tr>
             
            <tr>
              <td colspan='2'>".$locale['wst347']."</td>
            </tr>
            <tr>
              <td class='tbl2' width='150'>".$locale['wst348']."</td>
              <td class='tbl1'><input type='text' maxlength='3' size='3' name='Anzahl_Tipper' value='".$data_global_config['config_AzTi']."' class='textbox'>".$locale['wst349']."</td>
            </tr>
            <tr>
              <td class='tbl2' width='150'>".$locale['wst388']."</td>
              <td class='tbl1'><input type='text' maxlength='2' size='2' name='Anzahl_Tipper_Ov' value='".$data_global_config['config_AzTiOv']."' class='textbox'>".$locale['wst389']."</td>
            </tr>
            
            <tr>
              <td colspan='2'>".$locale['wst390']."</td>
            </tr>
            <tr>
              <td class='tbl2' width='150'>".$locale['wst391']."</td>
              <td class='tbl1'>
             		<select name='int_stat'>";
             		if ($data_global_config['config_IntStat'] == 1) 
             			echo "<option value='1' selected>".$locale['wst292']."</option>"; else echo "<option value='1'>".$locale['wst292']."</option>";
              		if ($data_global_config['config_IntStat'] == 0) 
              			echo "<option value='0' selected>".$locale['wst293']."</option>"; else echo "<option value='0'>".$locale['wst293']."</option>";
              		echo "</select>               
              </td>
            </tr>
            <tr>
              <td class='tbl2' width='150'>".$locale['wst453']."</td>
              <td class='tbl1'>
              		<select name='enrem'>";
              		if ($data_global_config['config_enrem'] == 1) 
              			echo "<option value='1' selected>".$locale['wst292']."</option>"; else echo "<option value='1'>".$locale['wst292']."</option>";
              		if ($data_global_config['config_enrem'] == 0) 
              			echo "<option value='0' selected>".$locale['wst293']."</option>"; else echo "<option value='0'>".$locale['wst293']."</option>";
              		echo "</select>               
              </td>
            </tr>
            
            <tr>
              <td class='tbl1' colspan='2' align='center'><input type='submit' value=".$locale['wst140']." name='save_config' class='button'></td>
            </tr>
		</table>
		</form>";	
closetable();	
	
opentable($locale['wst423']);
	include("colorpicker.php");
closetable();	
echo "</td><td align='right'>";
rightside($tox_lid, $tox_l_name);
echo "</td></tr></table>";
require_once THEMES."templates/footer.php";
?>