<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: league_admin.php
| Author: ChSchuetz
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."wir_sind_tippspiel/infusion_db.php";

include "league_admin_menu.php";

if (!checkrights("WST")) { redirect("../index.php"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."wir_sind_tippspiel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."wir_sind_tippspiel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."wir_sind_tippspiel/locale/German.php";
}

echo "<table width='100%'><tr><td valign='top' align='center'>";

$bullet = "<img src='".THEME."images/bullet.gif' alt='' border='0'>";
$bulletb = "<img src='".THEME."images/bulletb.gif' alt='' border='0'>";

$lid = (isset($_GET['lid']) && isNum($_GET['lid'])) ? $_GET['lid'] : 0;
$md = (isset($_GET['md']) && isNum($_GET['md'])) ? $_GET['md'] : 0;
$action = isset($_GET['act']) ? stripinput($_GET['act']) : "";

$result = dbquery("select * from ".$db_prefix."wst_leagues where league_id=$lid");
$data = dbarray($result);

if ($action == "") echo '<h2>'.$data['league_name'].'</h2>';
if ($action == "entertipps") echo '<h2>'.$data['league_name'].' - '.$locale['wst278'].'</h2>';
if ($action == "enterbonus") echo '<h2>'.$data['league_name'].' - '.$locale['wst278'].'</h2>';
if ($action == "alo_teams") echo '<h2>'.$data['league_name'].' - '.$locale['wst154'].'</h2>';
if ($action == "admin_fixtures") echo '<h2>'.$data['league_name'].' - '.$locale['wst156'].'</h2>';
if ($action == "admin_results") echo '<h2>'.$data['league_name'].' - '.$locale['wst157'].'</h2>';
if ($action == "edt_details") echo '<h2>'.$data['league_name'].' - '.$locale['wst241'].'</h2>'; //
if ($action == "edt_tickerevents") echo '<h2>'.$data['league_name'].' - '.$locale['wst245'].'</h2>'; //
if ($action == "credits") echo '<h2>'.$locale['wst100'].' - '.$locale['wst337'].'</h2>';

if ($action == "credits") {
	include("credits.php");
}

if ($action == "edt_details") {
	include("adm_details.php");
}

if ($action == "alo_teams") {	
	include("alo_teams.php");
}

if ($action == "addm") {
	$result_lop = dbarray(dbquery("select * from ".$db_prefix."wst_leagues where league_id=$lid"));
	$result = dbquery("select max(match_id) as maxm, matchday_datestamp as date, matchday_descr from ".$db_prefix."wst_matchdays where league_id=$lid and matchday_id=$md group by matchday_id");
	$data = dbarray($result);
	$_date1 = $data['date'];
	$descr = $data['matchday_descr'];
	if (isset($data['maxm'])) $nextm = $data['maxm']+1; else $nextm=0;
		if ($result_lop['league_type'] == 0)
			$result = dbquery("INSERT INTO ".$db_prefix."wst_matchdays(league_id, matchday_id, match_id, matchday_datestamp) VALUES($lid, $md, $nextm, '$_date1')");
		else
			$result = dbquery("INSERT INTO ".$db_prefix."wst_matchdays(league_id, matchday_id, matchday_descr, match_id, matchday_datestamp) VALUES($lid, $md, '$descr', $nextm, '$_date1')");
	$url = "league_admin.php?act=admin_fixtures&lid=$lid&md=$md";
	redirect($url);
}

if ($action == "delm") {
	$mid = (isset($_GET['mid']) && isNum($_GET['mid'])) ? $_GET['mid'] : 0;
	$md = (isset($_GET['md']) && isNum($_GET['md'])) ? $_GET['md'] : 0;
	$lid = (isset($_GET['lid']) && isNum($_GET['lid'])) ? $_GET['lid'] : 0;
	$result = dbquery("delete from ".$db_prefix."wst_matchdays where league_id=$lid and matchday_id=$md and match_id=$mid");
	$result = dbquery("delete from ".$db_prefix."wst_teampoints where league_id=$lid and matchday_id=$md and match_id=$mid");
	$url = "league_admin.php?act=admin_fixtures&lid=$lid&md=$md";
	redirect($url);
}


if ($action == "admin_fixtures") {		
	include("adm_fixtures.php");	
}


if ($action == "edt_tickerevents") {		
	include("adm_tickerevents.php");	
}

if ($action == "admin_results") {
	include("adm_results.php");	
}


if ($action == "calc_allpoints") {
	$l = (isset($_GET['lid']) && isNum($_GET['lid'])) ? $_GET['lid'] : 0;
	$result_config = dbquery("select * from ".$db_prefix."wst_config as A left join ".$db_prefix."wst_leagues as B on A.league_id=B.league_id where A.league_id=$lid");
	$data_config = dbarray($result_config);
	$tendenz = $data_config['config_tendenz'];
	$richtig = $data_config['config_richtig'];
	$diff_act = $data_config['config_diff_active'];
	$bonus_act = $data_config['config_bonus_active'];
	$funfer_act = $data_config['config_funfer_active'];
	$diff = $data_config['config_diff'];
	$funfer = $data_config['config_funfer'];
	$istoto = $data_config['istoto'];
	$bonus = $data_config['config_bonus'];
	$diff_tie = $data_config['config_diff_tie'];
	
	$l = (isset($_GET['lid']) && isNum($_GET['lid'])) ? $_GET['lid'] : 0;
	$m_d = (isset($_GET['md']) && isNum($_GET['md'])) ? $_GET['md'] : 0;
	$mid = (isset($_GET['mid']) && isNum($_GET['mid'])) ? $_GET['mid'] : 0;
	$result_results = dbquery("select * from ".$db_prefix."wst_results where league_id=$l and matchday_id=$m_d and calc=0");
	while($data_results = dbarray($result_results)) { 
		$lid = $data_results['league_id'];
		$md = $data_results['matchday_id'];
		$mid = $data_results['match_id'];
		include("calc_points.php");	
	}
	$url = "league_admin.php?act=admin_results&lid=$l&md=$m_d";
	redirect($url);
}


if ($action == "calc_points") {
	$result_config = dbquery("select * from ".$db_prefix."wst_config as A left join ".$db_prefix."wst_leagues as B on A.league_id=B.league_id where A.league_id=$lid");
	$data_config = dbarray($result_config);
	$tendenz = $data_config['config_tendenz'];
	$richtig = $data_config['config_richtig'];
	$diff_act = $data_config['config_diff_active'];
	$bonus_act = $data_config['config_bonus_active'];
	$funfer_act = $data_config['config_funfer_active'];
	$diff = $data_config['config_diff'];
	$funfer = $data_config['config_funfer'];
	$istoto = $data_config['istoto'];
	$bonus = $data_config['config_bonus'];
	$diff_tie = $data_config['config_diff_tie'];
	include("calc_points.php");	
}


if ($action == "del_result") {
	$lid = (isset($_GET['lid']) && isNum($_GET['lid'])) ? $_GET['lid'] : 0;
	$md = (isset($_GET['md']) && isNum($_GET['md'])) ? $_GET['md'] : 0;
	$mid = (isset($_GET['mid']) && isNum($_GET['mid'])) ? $_GET['mid'] : 0;
	$result = dbquery("delete from ".$db_prefix."wst_results where league_id=$lid and matchday_id=$md and match_id=$mid");
	$result = dbquery("delete from ".$db_prefix."wst_userpoints where league_id=$lid and matchday_id=$md and match_id=$mid");
	$result = dbquery("delete from ".$db_prefix."wst_teampoints where league_id=$lid and matchday_id=$md and match_id=$mid");
	$result = dbquery("delete from ".$db_prefix."wst_ticker where league_id=$lid and matchday_id=$md and match_id=$mid");
	$url = "league_admin.php?act=admin_results&lid=$lid&md=$md";
	redirect($url);	
}

if ($action == "entertipps") {
	include("adm_tipps.php");
}


if ($action == "enterbonus") {
	include("adm_bonus.php");
}


if (!isset($action) || $action=='') {
	include("overview.php");
}

$result = dbquery("select * from ".$db_prefix."wst_leagues where league_id=$lid");
$data = dbarray($result);	
$l_name = $data['league_name'];
echo "</td><td align='right'>";
rightside($lid, $l_name);
echo "</td></tr></table>";
require_once THEMES."templates/footer.php";
?>