<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: ChSchuetz
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."wir_sind_tippspiel/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."wir_sind_tippspiel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."wir_sind_tippspiel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."wir_sind_tippspiel/locale/German.php";
}

// Infusion general information
$inf_title = $locale['wst100'];
$inf_description = $locale['wst101'];
$inf_version = "1.5.0 (v7)";
$inf_developer = "ChSchuetz";
$inf_email = "chris@chschuetz.de";
$inf_weburl = "http://www.chschuetz.de";
$inf_folder = "wir_sind_tippspiel"; // The folder in which the infusion resides.

$inf_adminpanel[1] = array(
	"title" => $locale['wst102'],
	"image" => "image.gif",
	"panel" => "admin/leagues.php",
	"rights" => "WST"
);

$inf_sitelink[1] = array(
	"title" => $locale['wst102'],
	"url" => "index.php",
	"visibility" => "0"
);

// Delete any items not required here.
$inf_newtable[1] = DB_wst_bonus." (
  league_id smallint(5) NOT NULL default '0',
  bonus_id smallint(5) NOT NULL auto_increment,
  bonus_pkt int(3) NOT NULL default '0',
  bonus_text varchar(255) NOT NULL default '',
  bonus_res smallint(5) NOT NULL default '0',
  bonus_datestamp int(10) NOT NULL default '0',
  calc int(1) NOT NULL default '0',
  bonus_type smallint(1) NOT NULL default '1',
  bonus_sizeof smallint(1) NOT NULL default '0',
  bonus_res_free varchar(50) NOT NULL default '',
  PRIMARY KEY  (bonus_id)
);";

$inf_newtable[2] = DB_wst_comm." (
  comm_id smallint(5) NOT NULL auto_increment,
  comm_name varchar(30) NOT NULL default '',
  comm_prv int(1) NOT NULL default '0',
  comm_pw varchar(32) NOT NULL default '',
  PRIMARY KEY  (comm_id)
);";

$inf_newtable[3] = DB_wst_config." (
  league_id smallint(5) NOT NULL default '0',
  config_richtig int(2) NOT NULL default '0',
  config_tendenz int(2) NOT NULL default '0',
  config_diff int(2) NOT NULL default '0',
  config_funfer int(2) NOT NULL default '0',
  config_bonus int(1) NOT NULL default '0',
  config_diff_active int(1) NOT NULL default '0',
  config_funfer_active int(1) NOT NULL default '0',
  config_bonus_active int(1) NOT NULL default '0',
  config_tippzeit int(3) NOT NULL default '0',
  config_auf int(1) NOT NULL default '0',
  config_ab int(1) NOT NULL default '0',
  config_cl int(1) NOT NULL default '0',
  config_uefa int(1) NOT NULL default '0',
  config_diff_tie int(1) NOT NULL default '0',
  config_vic int(2) NOT NULL default '0',
  config_tie int(2) NOT NULL default '0',
  config_rel int(2) NOT NULL default '0',
  config_reld int(2) NOT NULL default '0',
  config_logo int(1) NOT NULL default '0'
);";

$inf_newtable[4] = DB_wst_leagues." (
  league_id smallint(5) NOT NULL auto_increment,
  league_name varchar(30) NOT NULL default '',
  league_teams smallint(2) NOT NULL default '0',
  league_logo varchar(50) NOT NULL default '',
  league_description varchar(255) NOT NULL default '',
  league_tipp int(1) NOT NULL default '0',
  league_vis int(1) NOT NULL default '0',
  istoto int(1) NOT NULL default '0',
  tbl_enabled int(1) NOT NULL default '0',
  league_type int(1) NOT NULL default '0',
  league_parent smallint(5) NOT NULL default '0',
  league_enbonus int(1) NOT NULL default '1',
  league_encomm int(1) NOT NULL default '1',
  league_cat varchar(25) NOT NULL default '',
  league_country varchar(5) NOT NULL default '',
  league_arc int(1) NOT NULL default '1',
  PRIMARY KEY  (league_id)
);";

$inf_newtable[5] = DB_wst_leagueteams." (
  league_id smallint(5) NOT NULL default '0',
  team_id smallint(5) NOT NULL default '0'
);";

$inf_newtable[6] = DB_wst_matchdays." (
  league_id smallint(5) NOT NULL default '0',
  matchday_id smallint(5) NOT NULL default '0',
  matchday_descr varchar(30) NOT NULL default '',
  match_id smallint(5) NOT NULL default '0',
  team1 smallint(5) NOT NULL default '0',
  team2 smallint(5) NOT NULL default '0',
  matchday_datestamp int(10) NOT NULL default '0',
  AdminLocked int(1) NOT NULL default '0'
);";

$inf_newtable[7] = DB_wst_results." (
  league_id smallint(5) NOT NULL default '0',
  matchday_id smallint(5) NOT NULL default '0',
  match_id smallint(5) NOT NULL default '0',
  team1 int(3) NOT NULL default '0',
  team2 int(3) NOT NULL default '0',
  toto int(1) NOT NULL default '0',
  calc int(1) NOT NULL default '0'
);";

$inf_newtable[8] = DB_wst_teampoints." (
  league_id smallint(5) NOT NULL default '0',
  matchday_id smallint(5) NOT NULL default '0',
  match_id smallint(5) NOT NULL default '0',
  team_id smallint(5) NOT NULL default '0',
  team_win int(1) NOT NULL default '0',
  team_tie int(1) NOT NULL default '0',
  team_lose int(1) NOT NULL default '0',
  score_for int(3) NOT NULL default '0',
  score_against int(3) NOT NULL default '0',
  points int(3) NOT NULL default '0',
  pos int(3) NOT NULL default '0'
);";

$inf_newtable[9] = DB_wst_teams." (
  team_id smallint(5) NOT NULL auto_increment,
  league_id smallint(5) NOT NULL default '0',
  team_name varchar(30) NOT NULL default '',
  team_short char(3) NOT NULL default '',
  team_logo varchar(30) NOT NULL default '',
  team_website varchar(50) NOT NULL default '',
  PRIMARY KEY (team_id)
);";


$inf_newtable[10] = DB_wst_ticker." (
  id int(7) NOT NULL auto_increment,
  league_id smallint(5) NOT NULL default '0',
  matchday_id smallint(5) NOT NULL default '0',
  match_id int(5) NOT NULL default '0',
  event smallint(5) NOT NULL default '0',
  minute smallint(3) NOT NULL default '0',
  text text NOT NULL,
  PRIMARY KEY  (id)
);";

$inf_newtable[11] = DB_wst_tickerevents." (
  event_id smallint(5) NOT NULL auto_increment,
  event_name varchar(20) NOT NULL default '',
  event_image varchar(20) NOT NULL default '',
  PRIMARY KEY  (event_id)
);";


$inf_newtable[12] = DB_wst_userbonus." (
  user_id smallint(5) NOT NULL default '0',
  bonus_id smallint(5) NOT NULL default '0',
  res int(5) NOT NULL default '0',
  res_free varchar(50) NOT NULL default ''
);";

$inf_newtable[13] = DB_wst_usercomm." (
  user_id smallint(5) NOT NULL default '0',
  comm_id smallint(5) NOT NULL default '0',
  league_id smallint(5) NOT NULL default '0'
);";

$inf_newtable[14] = DB_wst_userpoints." (
  user_id smallint(5) NOT NULL default '0',
  league_id smallint(5) NOT NULL default '0',
  matchday_id smallint(5) NOT NULL default '0',
  match_id smallint(5) NOT NULL default '0',
  points1 int(5) NOT NULL default '0',
  points3 int(5) NOT NULL default '0',
  points5 int(5) NOT NULL default '0',
  pointsd int(5) NOT NULL default '0',
  points_wob int(5) NOT NULL default '0',
  bonus_id smallint(5) NOT NULL default '0',
  points int(5) NOT NULL default '0'
);";

$inf_newtable[15] = DB_wst_usertipps." (
  user_id smallint(5) NOT NULL default '0',
  league_id smallint(5) NOT NULL default '0',
  matchday_id smallint(5) NOT NULL default '0',
  match_id smallint(5) NOT NULL default '0',
  team1_tipp int(3) NOT NULL default '0',
  team2_tipp int(3) NOT NULL default '0',
  toto_tipp int(1) NOT NULL default '0',
  isbonus int(1) NOT NULL default '0'
);";

$inf_newtable[16] = DB_wst_global_config." (
  config_min int(2) NOT NULL default '1',
  config_jahre int(2) NOT NULL default '10',
  config_start int(2) NOT NULL default '0',
  config_ende int(2) NOT NULL default '23',
  config_LgAz varchar(11) NOT NULL default 'league_name',
  config_MpSr tinyint(1) NOT NULL default '1',
  config_AzAzSp tinyint(1) NOT NULL default '6',
  config_Tv tinyint(1) NOT NULL default '0',
  config_Lv tinyint(1) NOT NULL default '1',
  config_AzTi int(3) NOT NULL default '10',
  config_AzTiOv int(2) NOT NULL default '10',
  config_IntStat int(1) NOT NULL default '1',
  config_bg_1 varchar(7) NOT NULL default '',
  config_bg_3 varchar(7) NOT NULL default '',
  config_bg_5 varchar(7) NOT NULL default '',
  config_bg_1d varchar(7) NOT NULL default '',
  config_PanelT varchar(4) NOT NULL default '',
  config_enrem smallint(1) NOT NULL default '0'
);";

// V1.1
$inf_newtable[17] = DB_wst_teaminfo." (
info_id smallint(5) NOT NULL auto_increment,
team_id smallint(5) NOT NULL,
team_adress text NOT NULL,
team_phone varchar(35) NOT NULL,
team_fax varchar(35) NOT NULL,
team_info varchar(255) NOT NULL,
team_stadium_name varchar(50) NOT NULL,
team_stadium_capacity int(6) NOT NULL,
team_stadium_image varchar(50) NOT NULL,
PRIMARY KEY (info_id)
);";

$inf_newtable[18] = DB_wst_reminder." (
user_id smallint(5) NOT NULL default '0',
league_id smallint(5) NOT NULL default '0'
);";

$inf_newtable[19] = DB_wst_favs." (
  user_id smallint(5) NOT NULL,
  league_id smallint(5) NOT NULL
);";

$inf_newtable[20] = DB_wst_tippleagues." (
  tl_id smallint(5) NOT NULL auto_increment,
  tl_league smallint(5) NOT NULL default '0',
  tl_name varchar(50) NOT NULL default '',
  tl_auf int(2) NOT NULL default '0',
  tl_ab int(2) NOT NULL default '0',
  tl_users int(5) NOT NULL default '18',
  PRIMARY KEY  (tl_id)
);";

$inf_newtable[21] = DB_wst_tippleagueusers." (
  tl_id smallint(5) NOT NULL default '0',
  user_id smallint(5) NOT NULL default '0'
);";

$inf_newtable[22] = DB_wst_usrtbl." (
  league_id smallint(5) NOT NULL,
  user_id smallint(5) NOT NULL,
  usr_tbl text NOT NULL,
  usr_points int(4) NOT NULL default '0'
);";

$inf_insertdbrow[1] = DB_wst_tickerevents." VALUES 
(1, 'Pfiff', 'pfiff.gif'),
(2, 'Wechsel', 'wechsel.gif'),
(3, 'Gelbe Karte', 'gelb.gif'),
(4, 'Gelb-Rote Karte', 'gelbrot.gif'),
(5, 'Rote Karte', 'rot.gif'),
(6, 'Verletzung', 'verletz.gif'),
(7, 'Tor', 'tor.gif'),
(8, 'Einwechslung', 'einw1.gif'),
(9, 'Auswechslung', 'ausw1.gif')
;";

$inf_insertdbrow[2] = DB_wst_global_config." VALUES 
(1, 10, 0, 23, 'league_name', 1, 6, 0, 1, 10, 10, 1, '#FFFFC3', '#00FF80', '#FF8000', '#80FFFF', 'logo', 0);";

$inf_droptable[1] = DB_wst_bonus;
$inf_droptable[2] = DB_wst_comm;
$inf_droptable[3] = DB_wst_config;
$inf_droptable[4] = DB_wst_leagues;
$inf_droptable[5] = DB_wst_leagueteams;
$inf_droptable[6] = DB_wst_matchdays;
$inf_droptable[7] = DB_wst_results;
$inf_droptable[8] = DB_wst_teampoints;
$inf_droptable[9] = DB_wst_teams;
$inf_droptable[10] = DB_wst_ticker;
$inf_droptable[11] = DB_wst_tickerevents;
$inf_droptable[12] = DB_wst_userbonus;
$inf_droptable[13] = DB_wst_usercomm;
$inf_droptable[14] = DB_wst_userpoints;
$inf_droptable[15] = DB_wst_usertipps;
$inf_droptable[16] = DB_wst_global_config;
$inf_droptable[17] = DB_wst_teaminfo;
$inf_droptable[18] = DB_wst_reminder;
$inf_droptable[19] = DB_wst_favs;
$inf_droptable[20] = DB_wst_tippleagues;
$inf_droptable[21] = DB_wst_tippleagueusers;
$inf_droptable[22] = DB_wst_usrtbl;
?>